Sso\WebserviceBundle\Entity\ServiceProvider\Type\TokenUsage:
    type: entity
    table: wssp_tokenusage
    indexes:
        idx_token:
            columns:
                - ServiceToken
                - Date
                - Controller
                - Action
        idx_date:
            columns:
                - Date
    id:
        UsageId:
            type: string
            length: 64
            fixed: true
            id: true
            generator:
                strategy: NONE
    fields:
        ServiceToken:
            type: string
            length: 255
        Date:
            type: datetime
        Ip:
            type: string
            length: 64
            nullable: true
        Controller:
            type: string
            length: 32
            nullable: true
        Action:
            type: string
            length: 32
            nullable: true
        TrackId:
            type: string
            length: 10
            nullable: true
        Status:
            type: string
            length: 10
            nullable: true
    manyToOne:
        Token:
            targetEntity: Token
            inversedBy: TokenUsages
            joinColumn:
                name: ServiceToken
                referencedColumnName: ServiceToken
    lifecycleCallbacks: {  }